# Qualified Numbers

You can use the Qualified Numbers API to qualify numbers you want Sinch to host and have available for use with Sinch SMS services. Qualifying a number involves verifying ownership of a number either by providing a one time passcode sent to the number by voice call or by providing invoices for multiple numbers. Once numbers are qualified, you can then enable those numbers for SMS text messaging services.

Note: The SMS enablement process is only supported in United States and Canada.

 - [GET /v1/projects/{projectId}/qualifiedNumbers](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/qualified-numbers/qualifiednumberservice_listqualifiednumbers.md): Returns a list of qualified numbers for the project.
 - [GET /v1/projects/{projectId}/qualifiedNumbers/{phoneNumber}](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/qualified-numbers/qualifiednumberservice_getqualifiednumber.md): Return a qualified number as specified by the phone number in the path.
 - [DELETE /v1/projects/{projectId}/qualifiedNumbers/{phoneNumber}](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/qualified-numbers/qualifiednumberservice_deletequalifiednumber.md): Deletes a qualified number as specified by the phone number in the path.
 - [POST /v1/projects/{projectId}/qualifiedNumbers:addNumbers](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/qualified-numbers/qualifiednumberservice_batchcreatequalifiednumbers.md): Create a request to qualify a batch of numbers. After you have submitted the request, you must send an email to orders@sinch.com attaching all of the invoices related to the phone numbers in the reque
 - [POST /v1/projects/{projectId}/qualifiedNumbers:textEnableNumbers](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/qualified-numbers/qualifiednumberservice_textenablenumbers.md): Enables text capability for the specified qualified numbers. You can enable up to 500 numbers at once. To enable a number for SMS, you must include a Campaign ID and billing information for a Letter o
 - [POST /v1/projects/{projectId}/qualifiedNumbers:textEnableTollFreeNumbers](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/qualified-numbers/qualifiednumberstextenabletollfreenumbers.md): Text enable Toll Free qualified numbers of a specific project by creating a hosting order.
 - [POST /v1/projects/{projectId}/qualifiedNumbers/{phoneNumber}:verifyVoiceChallenge](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/qualified-numbers/qualifiednumberservice_verifyvoicechallenge.md): Uses the code you received from the Send voice challenge operation to verify that you own the phone number.
 - [POST /v1/projects/{projectId}/qualifiedNumbers/{phoneNumber}:sendVoiceChallenge](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/qualified-numbers/qualifiednumberservice_sendvoicechallenge.md): Sends a voice challenge to the phone number specified in the path to verify that you own the number. The voice call contains a code that you must use to verify the number.
